# Contribution Guidelines
We encourage and welcome any contributions to the project created with the following guidelines. This will both ease the inclusion process, as well as ensure continued maintainability of the project.

### Before You Start
Before you start, please make sure that you are aware of, and agree to, the following conditions of contribution:

* By making a contribution to **Governor for Laravel**, you accept that you are granting copyright ownership for that contribution to GeneaLabs, LLC. In countries where copyright reassignment is not permitted, you grant GeneaLabs a perpetual, non-exclusive licence to use your contribution in any way and for any purpose.
* By making a contribution to **Governor for Laravel**, you accept that your code will be released under the open-source MIT License.

GeneaLabs is commited to providing **Governor for Laravel** as a free and open-source project in an effort to give back to the community.

### The Contribution Process

0. //describe issue create process
1. //describe fork process
2. //describe branching process in fork for each feature you work on
3. //describe pull request process
4. //describe review process
5. //describe merge process.

### Coding Standards
All pull requests must satisfy the following requirements:
* PSR-1, PSR-2 compliance for all code
* PSR-4 compliance for all namespaces
* Doc-blocks for all classes and methods
* README updated for any changes in functionality.

If you're working on files that don't satisfy these requirements, bring them up to par while you're working on them.
